Get BILL exchange rate

Get the current BILL exchange rate and exchange rate batch ID for paying an international vendor. When the vendor bill currency is not USD, the exchange rate batch ID is required for creating a payment with POST /v3/payments or POST /v3/payments/bulk.

BILL maintains all exchangeRate values in a batch. When a batch expires, a new batch ID is generated and all exchangeRate values are updated in the new batch. Use this endpoint to get the current exchange rate and batch ID based on the payment amount and vendor bill currency.

In production, a BILL batch is valid for a maximum of 20 minutes. response provides the timestamp when the current batch will expire. For example, if a batch has been active for 17 minutes when you get the exchangeRateBatchId, expirationTime indicates that you have 3 minutes remaining (with POST /v3/payments or POST /v3/payments/bulk).

Note:

  • International vendor payment information is required for you to get the BILL exchange rate with this endpoint.
  • When the vendor bill currency is not USD, the payment processDate must be the next US business day.
Query Params
string
required

BILL-generated ID of the international vendor to be paid. The value begins with 009.

number
required

Payment amount. The amount is in the vendor bill currency.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json